Skip to main content
GET
/
v1
/
policies
/
{policy_id}
/
revisions
List policy revisions
curl --request GET \
  --url https://api-sandbox.featherhq.com/v1/policies/{policy_id}/revisions \
  --header 'x-api-key: <api-key>'
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "policy_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "check_type": "<string>",
      "enforcement_point": "<string>",
      "action": "<string>",
      "mode": "<string>",
      "on_error": "<string>",
      "strictness": "<string>",
      "priority": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "description": "<string>",
      "check_config": {},
      "action_config": {},
      "tool_target": "<string>",
      "timeout_ms": 123,
      "created_by": "<string>"
    }
  ],
  "has_more": true,
  "next_cursor": "<string>"
}

Authorizations

x-api-key
string
header
required

Path Parameters

policy_id
string<uuid>
required

Query Parameters

limit
integer
default:50
Required range: 1 <= x <= 200
cursor
string | null

Response

Successful Response

items
PolicyRevisionResponse · object[]
required
has_more
boolean
required
next_cursor
string | null